## bind9 9.7.1.dfsg.P2

=== debian/changelog ===
bind9 (1:9.7.1.dfsg.P2-2) unstable; urgency=low

  * Correct conflicts for bind9-host

 -- LaMont Jones <lamont@debian.org>  Fri, 16 Jul 2010 05:24:38 -0600

bind9 (1:9.7.1.dfsg.P2-1) unstable; urgency=low

  [Internet Software Consortium, Inc]

  * Temporarily and partially disable change 2864 because it would cause
    inifinite attempts of RRSIG queries.  This is an urgent care fix; we'll
    revisit the issue and complete the fix later.  [RT #21710]
  * Temporarially rollback change 2748. [RT #21594]
  * Named failed to accept uncachable negative responses from insecure zones.
    [RT# 21555]

  [LaMont Jones]

  * freshen copyright file

 -- LaMont Jones <lamont@debian.org>  Thu, 15 Jul 2010 15:07:54 -0600

bind9 (1:9.7.1.dfsg.0-1) unstable; urgency=low

  * Repack to drop zkt/doc/{draft,rfc}*  Closes: #588055

 -- LaMont Jones <lamont@debian.org>  Mon, 05 Jul 2010 07:21:34 -0600

bind9 (1:9.7.1.dfsg-2) unstable; urgency=low

  [Regid Ichira]

  * explicitly add nsupdate to dynamic updates in README.Debian. 
    Closes: #577398

  [LaMont Jones]

  * Cleanup bind9-host description.  Closes: #579421
  * switch to 3.0 (quilt) source format, but not to quilt.  Closes: #578210

  [Stephen Gran]

  * updated geoip patch for ipv6, based on work by John 'Warthog9' Hawley
    <warthog9@eaglescrag.net>.  Closes: #584603

 -- LaMont Jones <lamont@debian.org>  Fri, 02 Jul 2010 08:19:29 -0600

bind9 (1:9.7.1.dfsg-1) unstable; urgency=low

  [Internet Software Consortium, Inc]

  * 9.7.1

  [LaMont Jones]

  * Add freebsd support.  Closes: #578447
  * soname changes
  * freshen root cache.  LP: #596363

 -- LaMont Jones <lamont@debian.org>  Mon, 21 Jun 2010 09:53:30 -0600
