## bind9 9.8.4.dfsg.P1-6+nmu2+deb7u17

=== debian/changelog ===
bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u17) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-3142
    An error in TSIG authentication can permit unauthorized 
    zone transfers.
  * CVE-2017-3143
    An error in TSIG authentication can permit unauthorized 
    dynamic updates.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 11 Jul 2017 18:40:39 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u16) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * Dns64 with "break-dnssec yes;" can result in a assertion failure.
    (CVE-2017-3136) 
  * Prerequisite for CVE-2017-3137 cherry-picked from upstream change #4190.
    If not cherry-picking this change the fix for CVE-2017-3137 can cause an
    assertion failure to appear in name.c.
  * Some chaining (CNAME or DNAME) responses to upstream queries could trigger
    assertion failures (CVE-2017-3137) 
  * Reimplement: Some chaining (CNAME or DNAME) responses to upstream queries
    could trigger assertion failures. (CVE-2017-3137)
  * Fix regression introduced when handling CNAME to referral below the
    current domain 
  * 'rndc ""' could trigger a assertion failure in named. (CVE-2017-3138)
  * patch basically adapted from diff of Jessie version

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 20 May 2017 14:40:39 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u15) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-3135
    Assertion failure when using DNS64 and RPZ can lead to crash.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 24 Feb 2017 18:40:39 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u14) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * Apply patches from ISC and borrowed from stretch
  * CVE-2016-9131: Assertion failure related to caching of TKEY records
    in upstream DNS responses.
  * CVE-2016-9147: Processing of RRSIG records in upstream DNS response
    without corresponding signed data could lead to an assertion failure.
  * CVE-2016-9444: Missing RRSIG records in the authority section of
    upstream responses could lead to an assertion failure.
  * RT #43779: Fix handling of CNAME/DNAME responses.  (Regression due
    to the CVE-2016-8864 fix.)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 25 Jan 2017 19:31:39 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u13) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2016-8864: Fix assertion failure in DNAME processing with patch
    provided by ISC.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Nov 2016 19:31:39 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u12) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2016-2848: A server vulnerable to this defect can be forced to 
    exit with an assertion failure if it receives a malformed packet.  
    Authoritative and recursive servers are both vulnerable.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 19 Oct 2016 22:31:39 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u11) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2016-2775: lwresd crash with long query name.
    Backport of upstream commit 38cc2d14e218e536e0102fa70deef99461354232.
    Closes: #831796.
  * CVE-2016-2776: assertion failure due to unspecified crafted query.
    Fix based on 43139-9-9.patch from ISC.  Closes: #839010.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 04 Oct 2016 21:51:39 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u10) wheezy-security; urgency=high

  * Fix CVE-2016-1285: error parsing control channel input.
  * Fix CVE-2016-1286: error parsing DNAME resource records.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 08 Mar 2016 02:51:39 +0000

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u9) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2015-8704: Specific APL data could trigger an INSIST in apl_42.c.
    A buffer size check used to guard against overflow could cause named to
    exit with an INSIST failure In apl_42.c.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 16 Jan 2016 10:50:12 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u8) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patch to fix CVE-2015-8000.
    CVE-2015-8000: Insufficient testing when parsing a message allowed
    records with an incorrect class to be be accepted, triggering a REQUIRE
    failure when those records were subsequently cached.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 14 Dec 2015 20:09:13 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u7) wheezy-security; urgency=high

  * CVE-2015-5722: maliciously crafted DNSSEC key can cause named to crash.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 03 Sep 2015 01:03:45 +0000

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u6) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2015-5477: A failure to reset a value to NULL in tkey.c could
    result in an assertion failure.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 27 Jul 2015 20:52:06 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2015-4620: Specially constructed zone data can cause a resolver to
    crash when validating.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 30 Jun 2015 17:53:38 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2015-1349: avoid crash due to managed-key rollover.
    Revoking a managed trust anchor and supplying an untrusted replacement
    could cause named to crash with an assertion failure.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 18 Feb 2015 08:25:15 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.

