## bind9 9.8.4.dfsg.P1-6+nmu2+deb7u18

=== debian/changelog ===
bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u18) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * addresses a TSIG regression introduced in previous upload

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 19 Jul 2017 20:40:12 +0200
