## bind9 9.8.4.dfsg.P1-6+nmu2+deb7u19

=== debian/changelog ===
bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u19) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-3145
    Addresses could be referenced after being freed in resolver.c, 
    causing an assertion failure.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 21 Dec 2018 18:40:12 +0100
