## bind9 9.8.4.dfsg.P1-6+nmu2+deb7u20

=== debian/changelog ===
bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u20) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team.
  * CVE-2018-5735: A denial of service flaw was found in the way BIND handled
    DNSSEC validation. A remote attacker could use this flaw to make named
    exit unexpectedly with an assertion failure via a specially crafted DNS
    response. This issue is closely related to CVE-2017-3139. (Closes: #889285)

 -- Roberto C. Sanchez <roberto@debian.org>  Wed, 07 Feb 2018 23:36:28 -0500
