=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 DEB_BUILD_ARCH := $(shell dpkg --print-architecture)
 endif
 export arch = $(DEB_HOST_ARCH)
+
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 DEBUG = -g
@@ -43,12 +45,6 @@
 		--with-openssl=/usr \
 		--with-gssapi=/usr \
 		--with-gnu-ld \
-		--with-dlz-postgres=no \
-		--with-dlz-mysql=no \
-		--with-dlz-bdb=yes \
-		--with-dlz-filesystem=yes \
-		--with-dlz-ldap=yes \
-		--with-dlz-stub=yes \
 		--with-geoip=/usr \
 		--enable-ipv6 \
 		$(EXTRA_FEATURES)
@@ -108,10 +104,12 @@
 	install -c -o bin -g bin -m 440 debian/named.conf ${ETCBIND}
 	install -c -o bin -g bin -m 440 debian/named.conf.local ${ETCBIND}
 	install -c -o bin -g bin -m 440 debian/named.conf.default-zones ${ETCBIND}
-	install -c -o bin -g bin -m 440 debian/named.conf.options ${ETCBIND}
-	install -c -o bin -g bin -m 644 debian/bind9-default.md5sum debian/bind9/usr/share/bind9/
+	install -c -o bin -g bin -m 440 bind.keys ${ETCBIND}
+	install -c -o bin -g bin -m 440 debian/named.conf.options debian/bind9/usr/share/bind9/
 	cp doc/arm/*.html debian/bind9-doc/usr/share/doc/bind9-doc/arm
 	install -m 644 -o root -g root debian/apparmor-profile ${ETCAPP}/usr.sbin.named
+	install -m 644 -o root -g root debian/apparmor-profile.local ${ETCAPP}/local/usr.sbin.named
+	rmdir debian/bind9/var/run/named debian/lwresd/var/run/named || true
 
 	install debian/ip-up.d debian/bind9/etc/ppp/ip-up.d/bind9
 	install debian/ip-down.d debian/bind9/etc/ppp/ip-down.d/bind9
@@ -155,13 +153,17 @@
 	dh_install --sourcedir=debian/bind9 -a
 	(cd debian/bind9/ && rm -rf $$(cat ../*.install) )
 	rm -f debian/bind9/usr/share/man/man1/query-loc.1
+	# install apport hook on Ubuntu
+	if dpkg-vendor --is ubuntu; then \
+	    install -m 644 -D debian/bind9.apport debian/bind9/usr/share/apport/package-hooks/bind9.py; \
+	fi
 	dh_link -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -l"debian/libbind9-60/usr/lib:debian/libbind-dev/usr/lib:debian/libdns66/usr/lib:debian/libisc60/usr/lib:debian/libisccc60/usr/lib:debian/libisccfg60/usr/lib:debian/liblwres60/usr/lib:/usr/lib/libfakeroot" -a
+	dh_shlibdeps -l"debian/libbind9-80/usr/lib:debian/libbind-dev/usr/lib:debian/libdns88/usr/lib:debian/libisc84/usr/lib:debian/libisccc80/usr/lib:debian/libisccfg82/usr/lib:debian/liblwres80/usr/lib:/usr/lib/libfakeroot" -a
 	for i in $$(sed -n '/^Package:/s/^.* //p' debian/control); do cat debian/vars.in >> debian/$$i.substvars; done
 	cat debian/vars.in >> debian/substvars
 	dh_gencontrol -a
