## bind9 9.8.4.dfsg.P1-6+nmu2+deb7u24

=== debian/changelog ===
bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u24) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy ELTS Team. 
  * CVE-2020-8616
    Fix NXNSATTACK amplification attack on BIND 9
  * CVE-2020-8617
    Fix assertion failure in TSIG processing code

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 27 May 2020 21:59:12 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u23) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy ELTS Team. 

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 26 Apr 2019 18:59:12 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u22) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy ELTS Team. 
  * CVE-2019-6465
    Zone transfer for DLZs are executed though not permitted by ACLs.
  * CVE-2018-5745
    Avoid assertion and thus causing named to deliberately exit when a
    trust anchor's key is replaced with a key which uses an unsupported
    algorithm.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Feb 2019 18:59:12 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u21) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy ELTS Team. 
  * CVE-2018-5740
    The "deny-answer-aliases" feature in BIND has a flaw which can
    cause named to exit with an assertion failure.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Aug 2018 18:40:12 +0200
